Export skins pdf sous opale 3.5 vers opale 3.6


#1

Bonjour, Je dispose de 5 skins créés sous opale 3.5 avec Scenari 4.1 que je souhaite réutiliser dans opale 3.6 Scenari 4.2 mais il s’avère que le générateur pdf entre les deux versions sont différent. Est ce que le générateur pdf d’opale 3.5 est compatible sous opale 3.6 ( export scar + intégration dans builder?
Merci de vos réponses


#2

Que voulez-vous dire exactement ? Il y a pas eu de refonte ou de ré-écriture du générateur PDF entre Opale 3.5 et Opale 3.6, seulement des corrections de bugs.

Vous prenez le problème à l’envers : Votre skin Opale 3.5 doit simplement être migré en Opale 3.6. L’incompatibilité de votre skin 3.5 avec Opale 3.6 n’est pas dû au fait que le générateur est différent, il est dû d’une part au fait que le numéro de version du modèle à changé mais surtout du fait que Opale 3.5 est basé sur SCENARI 4.1 et que Opale 3.6 est basé sur SCENARI 4.2.

Ce que vous proposez ne résoudra aucun des deux raisons de l’incompatibilité de votre skin.

Il vous faut simplement installer SCENARIstyler 4.2 au côté de Opale 3.6 + l’extension genPDF sous SCENARI 4.2, et reprendre les sources Styler de votre skin pour le recompiler pour Opale 3.6.